Subject: Re: Cygwin Python 2.1, Numeric package, exporting init<module> methods
From: Jason Tishler <[email-masked]>
To: Mark Hadfield <[email-masked]>
Cc: Norman Vine <[email-masked]>, Robert Yodlowski <[email-masked]>, Cygwin Mailing List <[email-masked]>
Date: Mon, 30 Apr 2001 17:54:09 -0400

Mark,

On Tue, May 01, 2001 at 09:42:19AM +1200, Mark Hadfield wrote:
> From: "Jason Tishler" <[email-masked]>
> > IMO, submitting a patch to the Numpy maintainers using the DL_EXPORT
> > macro approach is the way to go.  This is the approach that I used
> > successfully for numerous standard Python modules.  See the following
> > for Tim Peters assessment of this approach:
> >
> >     http://mail.python.org/pipermail/python-dev/2001-February/013292.html
> 
> If this is to be the "standard" approach, then that's fine. I guess it
> should be documented in "Extending Python"?

We really should continue this discussion on the appropriate Python
mailing list...

> The alternative is changing the compilation & linking process to generate &
> use .def files. Norman Vine reported to me yesterday that he could build
> Numpy without the DL_EXPORT macros. When we compared notes it turned out
> that he was using a modified version of distutils. Basically Norman's
> approach is to build with the "cygwin" compiler option:
> 
>     python setup.py --compiler=cygwin
> 
> and the distutils patch is attached below my sig. I think it's fairly
> self-explanatory.

I think that you forgot the attached, but don't worry, I have seen it
before.

> > Why don't you try the Numpy maintainers and see what they have to say?
> > Since they already support a Win32 port, I can't imagine much resistance
> > on their part.
> 
> I'd be glad to do that but first I would like a ruling from the
> Cygwin-Python gods about which of these approaches is the
> one-true-Pythonic-way.

I have attempted to pursue this approach -- see the attached for details.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

Subject: Re: Cygwin Python 2.1, Numeric package, exporting init<module> methods
From: Jason Tishler <[email-masked]>
To: Norman Vine <[email-masked]>
Date: Mon, 30 Apr 2001 12:46:18 -0400

Norman,

On Mon, Apr 30, 2001 at 11:18:00AM -0400, Norman Vine wrote:
> In trying to get Mark up and running I noticed that Numerical
> compiled out of the box for me because I still had some of a
> patch that I believe MA Lenburg <sp?> submitted that was not 
> in his patch after it was rewritten on submission
> 
> I have attached my diffs
> 
> Any thoughts on my resubmitting these ?
> They seem to work for me and do not require the DL_EXPORT 
> MACRO  discussed below. < confirmed by Mark in private email >

I attempted to pursue the above in the following:

    http://mail.python.org/pipermail/distutils-sig/2001-February/002003.html

but I didn't receive any responses so I dropped it.

I'm sorry but I don't have the cycles to pursue this myself.  I still
think that the DL_EXPORT approach is the way to go.  Of course, you
are welcome to spear head this effort yourself.  Remember to wear your
helmet... :,)

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple